Description

Foreman can manage a big part of the lifecycle of a system, it would be really nice if it could also do patch management (like RH

Satellite or SpaceWalk).

History

#1 - 02/03/2011 02:44 PM - Ohad Levy

I started some work on this topic in the past - https://github.com/ohadlevy/dish

#2 - 12/06/2012 11:32 AM - Benjamin Papillon

I'd say complete lifecycle of servers is the goal of katello where foreman is a component. The patch management role is affected to pulp more than

foreman IMO.

#3 - 09/17/2013 02:53 PM - Jason Ashby

Hi Ohad,

Could dish be reworked as a Foreman plugin?

I'm wondering if an accompanying puppet module or fact could retrieve pending updates for each host and store that in Foreman's (or puppetDB)

database, rather than a separate DB and SSH script as dish currently has.  Added bonuses:

- check if a reboot is required e.g. if a kernel update is part of the pending packages.

- ability to apply updates from Foreman

Some of these are not trivial and probably require functionality beyond the scope of Foreman.  Patch management is one area I've been slacking in

and just seems like a good area for Foreman to cover.  I'm aware of Katello and pulp, but AFAIK I can't "add" these tools to my existing Foreman

setup.  Sounds like its on their to-do list.

Anyway, I've got time to contribute to this, so wanted to get your thoughts.

#4 - 10/18/2013 07:48 AM - Benjamin Papillon

- Description updated

Hello,

For a good start, please have a look at the https://github.com/theforeman/foreman_content plugin for pulp management inside foreman.

Regards,

Benjamin Papillon

#5 - 10/18/2013 07:53 AM - Dominic Cleal

The Katello project is beginning to rework the application to be a Foreman plugin, so hopefully you will be able to add this to Foreman in the future. 

Check the "engine" branch on the GitHub project and the Katello sub-project in this redmine instance too.

#6 - 10/01/2014 07:06 AM - Ohad Levy
https://github.com/ohadlevy/dish
https://github.com/theforeman/foreman_content


- Status changed from New to Closed

I'm closing this one, as Katello is now available as a plugin.

any specific requests should go into the katello project issue tracker... thanks!

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

http://www.tcpdf.org

